Subject: Re: bug#22802: guix system init installs grub.cfg gcroot to host

From: [email-masked] (Ludovic Courtès)
Date: Tue, 08 Mar 2016 11:15:28 +0100

Jookia <[email-masked]> skribis:

> On Mon, Mar 07, 2016 at 01:15:38PM +0100, Ludovic Courtès wrote:
>> Jookia <[email-masked]> skribis:
>> > When running 'guix system init', GRUB requires a GC root to be placed in
>> > /var/guix. When building a VM, this GC root is placed in <disk>/var/guix/gcroots
>> > however while building a system on another drive, the GC root is placed on the
>> > host's /var/guix/gcroots
>>
>> Indeed, good catch!
>>
>> I believe this is fixed with the patch below.  Can you confirm?
>
> I can't easily confirm since I don't have a system I can 'init' to anymore, and
> I've already fixed this in my set of GRUB patches so it'd also lock me out of
> Libreboot on my actual machine if I did.

Sure.  After rereading it, it seemed obviously correct™ so I pushed it
as 16210486e6bb2e7b81e0208e42584b1eed826cd0.

Thanks!

Ludo’.